curl -X POST https://zeplo.ai/api/v1/messages/template \
-H "x-api-key: zeplo_ak_abc123..." \
-H "x-api-secret: zeplo_as_abc123..." \
-H "x-channel-id: 647015955153740" \
-H "Content-Type: application/json" \
-d '{
"to": "919876543210",
"templateName": "hello_world",
"languageCode": "en"
}'
REST API v1 (External)
POST Send Template Message (v1)
Send a WhatsApp template message via the external API.
POST
/
api
/
v1
/
messages
/
template
curl -X POST https://zeplo.ai/api/v1/messages/template \
-H "x-api-key: zeplo_ak_abc123..." \
-H "x-api-secret: zeplo_as_abc123..." \
-H "x-channel-id: 647015955153740" \
-H "Content-Type: application/json" \
-d '{
"to": "919876543210",
"templateName": "hello_world",
"languageCode": "en"
}'
Send template message (v1)
POST /api/v1/messages/template
Send a WhatsApp template message using an approved template.
Headers
string
required
Your API key
string
required
Your API secret key
string
required
WhatsApp channel ID
Body parameters
string
required
Recipient phone with country code.
string
required
Approved template name.
string
default:"en"
Template language.
array
Template component parameters.
Hello World
curl -X POST https://zeplo.ai/api/v1/messages/template \
-H "x-api-key: zeplo_ak_abc123..." \
-H "x-api-secret: zeplo_as_abc123..." \
-H "x-channel-id: 647015955153740" \
-H "Content-Type: application/json" \
-d '{
"to": "919876543210",
"templateName": "hello_world",
"languageCode": "en"
}'
With parameters
curl -X POST https://zeplo.ai/api/v1/messages/template \
-H "x-api-key: zeplo_ak_abc123..." \
-H "x-api-secret: zeplo_as_abc123..." \
-H "x-channel-id: 647015955153740" \
-H "Content-Type: application/json" \
-d '{
"to": "919876543210",
"templateName": "order_confirmation",
"languageCode": "en",
"components": [
{
"type": "body",
"parameters": [
{ "type": "text", "text": "John" },
{ "type": "text", "text": "ORD-12345" }
]
}
]
}'
